SDL_test_md5.h File Reference
`#include <SDL3/SDL_stdinc.h>`
`#include <SDL3/SDL_begin_code.h>`
`#include <SDL3/SDL_close_code.h>`
Include dependency graph for SDL_test_md5.h:
This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Data Structures

struct | SDLTest_Md5Context

## Typedefs

typedef Uint32 | MD5UINT4

## Functions

void | SDLTest_Md5Init (SDLTest_Md5Context *mdContext)
void | SDLTest_Md5Update (SDLTest_Md5Context *mdContext, unsigned char *inBuf, unsigned int inLen)
void | SDLTest_Md5Final (SDLTest_Md5Context *mdContext)

## Typedef Documentation

## MD5UINT4

typedef Uint32 MD5UINT4

MD5 related functions of SDL test framework.

This code is a part of the SDL test library, not the main SDL library.

Definition at line 68 of file SDL_test_md5.h.

## Function Documentation

## SDLTest_Md5Final()

void SDLTest_Md5Final | ( | SDLTest_Md5Context * | mdContext | ) |

complete digest computation

Parameters

  mdContext | pointer to context variable

Note: The function terminates the message-digest computation and ends with the desired message digest in mdContext.digest[0..15]. Always call before using the digest[] variable.

## SDLTest_Md5Init()

void SDLTest_Md5Init | ( | SDLTest_Md5Context * | mdContext | ) |

initialize the context

Parameters

  mdContext | pointer to context variable

Note: The function initializes the message-digest context mdContext. Call before each new use of the context - all fields are set to zero.

## SDLTest_Md5Update()

void SDLTest_Md5Update | ( | SDLTest_Md5Context * | mdContext,
|  | unsigned char * | inBuf,
|  | unsigned int | inLen )

update digest from variable length data

Parameters

  mdContext | pointer to context variable
  inBuf | pointer to data array/string
  inLen | length of data array/string

Note: The function updates the message-digest context to account for the presence of each of the characters inBuf[0..inLen-1] in the message whose digest is being computed.